ola_recorder(1)

NAME
ola_recorder - Record to, or playback from, a file a number of universes for a show

SYNOPSIS
ola_recorder [--record <file> --universes <universe_list>] [--playback <file>] [--verify <file>]

DESCRIPTION
ola_recorder Record a series of universes, or playback a previously recorded show.

OPTIONS

-d, --delay <uint32_t>
    The delay in ms between successive iterations.

-h, --help
    Display the help message

-i, --iterations <uint32_t>
    The number of times to repeat the show, 0 means unlimited.

-l, --log-level <int8_t>
    Set the logging level 0 .. 4.

-p, --playback <string>
    The show file to playback.

-r, --record <string>
    The show file to record data to.

-u, --universes <string>
    A comma separated list of universes to record

--verify <string>
    The show file to verify.

-v, --version
    Print ola_recorder version information

--duration <uint32_t>
    The length of time (seconds) to run for.

--syslog
    Send to syslog rather than stderr.

--no-use-epoll
    Disable the use of epoll(), revert to select()

--no-use-kqueue
    Disable the use of kqueue(), revert to select()

--scheduler-policy <policy>
    The thread scheduling policy, one of {fifo, rr}.

--scheduler-priority <priority>
    The thread priority, only used if --scheduler-policy is set.

EXAMPLES

  Record universes 1 and 2 to the file foo:
ola_recorder --universes 1,2 --record foo

  Verify the previously recorded file bar:
ola_recorder --verify bar

  Playback the previously recorded file baz for 30 seconds:
ola_recorder --playback baz --duration 30

  Playback the previously recorded file baz for 3 iterations:
ola_recorder --playback baz --iterations 3

  Playback the previously recorded file baz, repeating forever:
ola_recorder --playback baz --iterations 0